package com.bizmatics.system.controller;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableFeignClients("com.bizmatics")
@ComponentScan("com.bizmatics")
@SpringBootApplication
@EnableTransactionManagement
public class SystemControllerApplication {

    public static void main(String[] args) {
        SpringApplication.run(SystemControllerApplication.class, args);
    }

}
