package com.bizmatics.system.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.vo.SysAsyncTaskVo;
import com.bizmatics.service.ISysAsyncTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @author fzq
 */
@RestController
@RequestMapping("/async")
public class SysAsyncController {

    @Autowired
    private ISysAsyncTaskService iSysAsyncTaskService;

    @GetMapping
    public ApiResult<CommonPage<SysAsyncTaskVo>> getList(@RequestParam(required = false) Long asyncTaskId, @RequestParam(required = false) Date startTime,
                                                         @RequestParam(required = false) Date endTime, @RequestParam(required = false) String funcType, @RequestParam(required = false) Boolean user, Integer current,
                                                         Integer size) {
        return ApiResult.success(iSysAsyncTaskService.getList(asyncTaskId, startTime, endTime, funcType, user, current, size));
    }

}
