package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.SysAsyncTask;
import org.springframework.stereotype.Repository;

import java.util.Date;

/**
 * @author fanzhiqiang
 */
@Repository
public interface SysAsyncTaskMapper extends CrudMapper<SysAsyncTask> {

    /**
     * 查询某个用户一小时内调用次数
     *
     * @param userId  用户ID
     * @param endTime now()-1h
     * @return 调用次数
     */
    Integer getCountByUserIdAndFuncTypeAndCreateTime(String userId, String funcType, Date endTime);

}
