package com.bizmatics.service.dto;

import com.bizmatics.service.enums.UploadType;
import lombok.Data;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/6/30 14:45
 */
@Data
public class SysFileUploadRequest {

    private List<CommonsMultipartFile> multipartFiles;

    private List<String> urls;

    private UploadType uploadType;

    private String key;

    private String batchNo;

    private String businessType;

    private Date expireAt;
}
