package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.SysFile;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface FileMapper extends CrudMapper<SysFile> {


    /**
     * 根据失效时间获取记录
     *
     * @param expireAt
     * @return
     */
    List<SysFile> selectByExpireAt(@Param("expireAt") Date expireAt);
}
