package com.bizmatics.service.dto;

import com.bizmatics.common.mvc.base.BaseModel;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.Date;

@Data
@Builder
public class SysFileDTO extends BaseModel {
    private String id;
    private String batchNo;
    private String fileType;
    private String oriName;
    private String ossKey;
    private String url;
    private String businessType;
    private Integer fileSize;
    private Date expireAt;
    private Integer activeFlag;
    private Integer delFlag;

    private Boolean success;
    private String message;
    private Date beginTime;
    private Date endTime;
    private Integer timeCost;

    @Tolerate
    public SysFileDTO() {
    }
}
